function [ obalka, hranice_45dB ] = genobalky( prubeh ) 

%vobalkatvoreni obalkobalka poklesu
pokles=((prubeh.^2).^(1/2))
pokles=10*log(pokles/max(abs(pokles)))
hodnotyvetsi=find(pokles > -45)
hranice_45dB=max(abs(hodnotyvetsi))
obalka(hranice_45dB:-1:1) = cumsum(prubeh(hranice_45dB:-1:1).^2);

%prevod poklesu do logaritmickeho meritka
obalka = 10 * log10(obalka/max(abs(obalka)))
end

